import React from 'react';
import CalendarRow from './CalendarRow';

export default function CalendarContent(props: CalendarContent) {
  const { days } = props;
  const trNum = Math.ceil(days.length / 7);
  const trs = [];
  for (let i = 0; i < trNum; i++) {
    trs.push(
      <CalendarRow
        key={i}
        days={days.slice(i * 7, i * 7 + 7)}
        onSelected={selectedDay => props.onSelected(selectedDay)}
        selectedDay={props.selectedDay}
      />,
    );
  }
  return (
    <table className="sinooa-calendar">
      <thead>
        <tr className="sinooa-calendar-thead sinooa-calendar-td">
          <th>日</th>
          <th>一</th>
          <th>二</th>
          <th>三</th>
          <th>四</th>
          <th>五</th>
          <th>六</th>
        </tr>
      </thead>

      <tbody className="sinooa-calendar-content">{trs}</tbody>
    </table>
  );
}
