// @flow
import React from 'react';
import './Calendar.css';

type CalendarHeaderPropsType = {
  prevMonth: () => number,
  nextMonth: () => number,
  year: number,
  month: number,
};
/**
 * 日历顶部月份显示及切换
 * @param {*} props
 */
export default function CalendarHeader(props: CalendarHeaderPropsType) {
  return (
    <div className="sinooa-calendar-header">
      <div
        className="sinooa-calendar-header-prev-icon"
        onClick={() => props.prevMonth()}
      >
        <span>＜</span>
      </div>
      <div className="sinooa-calendar-left-border" />
      <div className="sinooa-calendar-header-text">
        {props.month + 1}月 {props.year}年
      </div>
      <div className="sinooa-calendar-right-border" />
      <div
        className="sinooa-calendar-header-next-icon"
        onClick={() => props.nextMonth()}
      >
        <span>＞</span>
      </div>
    </div>
  );
}
