import React from 'react';
import './Calendar.css';

/**
 * 日历中的一行
 * @param {*} props
 */
export default function CalendarRow(props) {
  const tds = props.days.map((day, index) => {
    if (day === -1) {
      return <td key={`prev_month_${index}`} />;
    }
    return props.selectedDay === day ? (
      <td key={day} onClick={() => props.onSelected(day)}>
        <div className="sinooa-calendar-selected-day">{day}</div>
      </td>
    ) : (
      <td key={day} onClick={() => props.onSelected(day)}>
        {day}
      </td>
    );
  });
  return <tr className="sinooa-calendar-td">{tds}</tr>;
}
