// @flow
import React from 'react';
import './ConvenientEntry.css';
import draftImage from '../images/draft.png';
import emailImage from '../images/email.png';
import messageImage from '../images/message.png';

type ConvenientEntryPropsType = {
  title: string,
  undoNumber: number,
};

export default function ConvenientEntry(props: ConvenientEntryPropsType) {
  const getImageUrl = () => {
    if (props.title === '草稿箱') {
      return draftImage;
    } else if (props.title === '邮件') {
      return emailImage;
    } else if (props.title === '消息') {
      return messageImage;
    }
    return undefined;
  };

  return (
    <div className="sinooa-convenient-entry">
      <div className="sinooa-convenient-entry-image-content">
        <img
          className="sinooa-convenient-entry-image"
          src={getImageUrl()}
          alt=""
        />
      </div>

      <span className="sinooa-convenient-entry-text">
        {props.undoNumber}
        {props.title === '消息' ? '未读' : '未完成'}
      </span>
    </div>
  );
}
