// @flow
import React from 'react';
import update from 'immutability-helper';
import InfoListHeader from './InfoListHeader';
import './DBGWList.css';

type DBGWListPropsType = {
  dbgwlist: [],
};

export default function DBGWList(props: DBGWListPropsType) {
  const dbgwlist = update(props.dbgwlist, { $splice: [[4]] });
  return (
    <div className="sinooa-dbgw">
      <InfoListHeader undoNumber={props.dbgwlist.length}>待办公文</InfoListHeader>
      <table className="sinooa-dbgw-table">
        <thead>
          <tr className="sinooa-dbgw-table-header">
            <td className="sinooa-dbgw-order">序号</td>
            <td className="sinooa-dbgw-order">缓急</td>
            <td className="sinooa-dbgw-order">类型</td>
            <td>标题</td>
            <td className="sinooa-dbgw-in-time">送达时间</td>
            <td className="sinooa-dbgw-dateline">期限</td>
          </tr>
        </thead>
        <tbody>
          {dbgwlist.map((item, i) => (
            <tr key={i} className="sinooa-dbgw-table-row">
              <td>{`${i + 1}`}</td>
              <td>{item.urgency}</td>
              <td>{item.type}</td>
              <td>
                <div className="sinooa-dbgw-title">{item.title}</div>
              </td>
              <td>{item.inTime}</td>
              <td>{item.dateline}</td>
            </tr>
          ))}
        </tbody>
      </table>
    </div>
  );
}
