import React from 'react';
import './IndexColumn.css';

type IndexColumnPropsType = {
  flex: number,
  children: any,
};

export default function IndexColumn(props: IndexColumnPropsType) {
  return (
    <div
      className="sinooa-index-column"
      style={{
        flex: props.flex,
      }}
    >
      {React.Children.map(props.children, cell =>
        React.cloneElement(cell, {
          width: `${Math.min(
            100,
            cell.props.flex ? cell.props.flex / props.flex * 100 : 100,
          )}%`,
        }),
      )}
    </div>
  );
}
