// @flow
import React from 'react';
import './InfoBox.css';
import draftImage from '../images/draft.png';
import emailImage from '../images/email.png';
import messageImage from '../images/message.png';

type InfoBoxPropsType = {
  title: string,
  undoNumber: number,
  info: {
    title: string,
    details: string,
  },
};

export default function InfoBox(props: InfoBoxPropsType) {
  const getImageUrl = () => {
    if (props.title === '草稿箱') {
      return draftImage;
    } else if (props.title === '邮件') {
      return emailImage;
    } else if (props.title === '消息') {
      return messageImage;
    }
    return undefined;
  };
  return (
    <div className="sinooa-infobox">
      <div className="sinooa-infobox-left">
        <img className="sinooa-infobox-image" src={getImageUrl()} alt="" />
        <div className="sinooa-infobox-undo">
          <div className="sinooa-infobox-name">{props.title}</div>
          <span className="sinooa-infobox-undo-number">{props.undoNumber}</span>
          <span className="sinooa-infobox-undo-text">
            {props.title === '消息' ? '未读' : '未完成'}
          </span>
        </div>
      </div>
      <div className="sinooa-infobox-border" />
      <div className="sinooa-infobox-right">
        <div className="sinooa-infobox-info-title">{props.info.title}</div>
        <div className="sinooa-infobox-info-details">{props.info.details}</div>
      </div>
    </div>
  );
}
