// @flow
import React from 'react';
import update from 'immutability-helper';
import InfoListHeader from './InfoListHeader';
import './NoticeList.css';

type NoticeListPropsType = {
  noticelist: any,
};

export default function NoticeList(props: NoticeListPropsType) {
  const noticelist = update(props.noticelist, {
    $splice: [[3]],
  });
  return (
    <div className="sinooa-notice-list">
      <InfoListHeader undoNumber={props.noticelist.length}>消息</InfoListHeader>
      {noticelist.map((item, i) => (
        <div key={i} className="sinooa-notice-list-item">
          <div className="sinooa-notice-list-item-left">{`${i + 1}`}</div>
          <div className="sinooa-notice-list-item-center">
            {item.new && (
              <div className="sinooa-notice-list-item-sign">new</div>
            )}
          </div>
          <div className="sinooa-notice-list-item-right">
            <div>{item.title}</div>
            <div className="sinooa-notice-list-item-notice">
              <span>{item.deptName}</span>
              <span>{item.date}</span>
            </div>
          </div>
        </div>
      ))}
    </div>
  );
}
