// @flow
import React from 'react';
import update from 'immutability-helper';
import InfoListHeader from './InfoListHeader';
import './WorkNotice.css';

type WorkNoticePropsType = {
  notices: [],
};

export default function WorkNotice(props: WorkNoticePropsType) {
  const notices = update(props.notices, { $splice: [[4]] });
  return (
    <div className="sinooa-work-notice">
      <InfoListHeader undoNumber={props.notices.length}>工作通知</InfoListHeader>
      <table className="sinooa-work-notice-table">
        <thead>
          <tr className="sinooa-work-notice-table-header">
            <td className="sinooa-work-notice-order">序号</td>
            <td className="sinooa-work-notice-order">批示</td>
            <td className="sinooa-work-notice-order">状态</td>
            <td>标题</td>
            <td className="sinooa-work-notice-send-time">发布时间</td>
            <td className="sinooa-work-notice-dept">发布部门</td>
          </tr>
        </thead>
        <tbody>
          {notices.map((item, i) => (
            <tr key={i} className="sinooa-work-notice-table-row">
              <td>{`${i + 1}`}</td>
              <td>
                {item.isInstructed && (
                  <div className="sinooa-work-notice-instructed">
                    <div className="sinooa-work-notice-instructed-text">批</div>
                  </div>
                )}
              </td>
              <td>{item.state}</td>
              <td>
                <div className="sinooa-work-notice-title">{item.title}</div>
              </td>
              <td>{item.sendTime}</td>
              <td>{item.deptName}</td>
            </tr>
          ))}
        </tbody>
      </table>
    </div>
  );
}
