import React from 'react';
import InfoBox from './components/InfoBox';
import SystemLink from './components/SystemLink';
import ConvenientEntry from './components/ConvenientEntry';
import NoticeBoard from './components/NoticeBoard';
import NoticeList from './components/NoticeList';
import DBGWList from './components/DBGWList';
import WorkNotice from './components/WorkNotice';
import Schedule from './components/Schedule';
import HorizontalSchedule from './components/HorizontalSchedule';
import { noticelist, notices, dbgwlist } from './data';

const config = {
  cell1: {
    render: () => (
      <InfoBox
        title="草稿箱"
        undoNumber={3}
        info={{ title: '草稿文件标题', details: '这是草稿内容，有关于发文模板变动' }}
      />
    ),
  },
  cell2: {
    render: () => (
      <InfoBox
        title="邮件"
        undoNumber={13}
        info={{ title: '这是邮件标题', details: '这是邮件内容，有关于XXX出差申请' }}
      />
    ),
  },
  cell3: {
    render: () => <DBGWList dbgwlist={dbgwlist} />,
  },
  cell4: {
    render: () => <WorkNotice notices={notices} />,
  },
  cell5: {
    render: () => (
      <InfoBox
        title="消息"
        undoNumber={33}
        info={{ title: '这是消息标题', details: '这是消息内容，有关于XX局发文待办通知' }}
      />
    ),
  },
  cell6: {
    getHeight: column => (column.flex === 6 ? 378 : 613),
    render: column =>
      column.flex === 6 ? <HorizontalSchedule /> : <Schedule />,
  },
  cell7: {
    render: () => <NoticeBoard />,
  },
  cell8: {
    render: () => <SystemLink />,
  },
  cell9: {
    render: () => <NoticeList noticelist={noticelist} />,
  },
  cell10: {
    render: () => (
      <div style={{ display: 'flex' }}>
        <ConvenientEntry title="草稿箱" undoNumber={3} />
        <ConvenientEntry title="邮件" undoNumber={13} />
        <ConvenientEntry title="消息" undoNumber={33} />
      </div>
    ),
  },
};

export default config;
