import IndexLayout from './IndexLayout';

xdescribe('首页布局', () => {
  const columns = [
    { id: 'column1', flex: 6 },
    { id: 'column2', flex: 3 },
    { id: 'column3', flex: 3 },
  ];

  const cells = [
    {
      id: 'cell1',
      flex: 3,
      color: 'red',
      height: 200,
      parent: 'column1',
    },
    {
      id: 'cell2',
      flex: 3,
      color: 'yellow',
      height: 200,
      parent: 'column1',
    },
    {
      id: 'cell3',
      color: 'green',
      parent: 'column1',
      height: 250,
    },
    {
      id: 'cell4',
      color: 'black',
      flex: 3,
      parent: 'column1',
      height: 250,
    },
    {
      id: 'cell5',
      color: 'grey',
      parent: 'column1',
      height: 250,
    },
    {
      id: 'cell6',
      flex: 3,
      color: 'yellow',
      parent: 'column2',
      height: 250,
    },
    {
      id: 'cell7',
      color: 'orange',
      parent: 'column2',
      height: 250,
    },
    {
      id: 'cell8',
      flex: 3,
      color: 'yellow',
      parent: 'column3',
      height: 250,
    },
    {
      id: 'cell9',
      color: 'orange',
      parent: 'column3',
      height: 250,
    },
  ];

  const mockColumns = [
    { id: 'column1', flex: 6, width: 300, start: 0, end: 300 },
    { id: 'column2', flex: 3, width: 150, start: 300, end: 450 },
    { id: 'column3', flex: 3, width: 150, start: 450, end: 600 },
  ];

  it('首页布局模型创建', () => {
    const layout = new IndexLayout(600, columns, cells);

    expect(layout.screenWidth).toBe(600);
    expect(layout.columns).toEqual(columns);
    expect(layout.cells).toEqual(cells);
  });

  it('每个区域的实际位置', () => {
    const layout = new IndexLayout(600, columns, cells);
    const columnPosition = layout.getColumnsPosition();

    expect(columnPosition).toEqual(mockColumns);
  });

  it('坐标为(280,150)的点位于区域1', () => {
    const layout = new IndexLayout(600, columns, cells);

    const pointInColumn = layout.getRelativePosition(280, 150);

    expect(pointInColumn).toEqual('column1');
  });

  it('坐标为(450, 150)的点位于区域2', () => {
    const layout = new IndexLayout(600, columns, cells);

    const pointInColumn = layout.getRelativePosition(450, 150);

    expect(pointInColumn).toEqual('column2');
  });
});
